#!/bin/bash
# Command line classifier with dereplication 16s
# Configure paths
# RDPToolsDir=/mnt/research/rdp/public/RDPTools # Path to RDPTools on MSU's HPCC
RDPToolsDir=/usr/local/RDPTools # Path to RDPTools on my local installation

for f in $(ls trimmed_seqs/*.fastq)
do
# Dereplicate
java -Xmx2g -jar $RDPToolsDir/Clustering.jar derep -u -o ${f/.fastq/_derep.fastq} ${f/fastq/ids} ${f/fastq/sample} $f
# Classify and expand
java -Xmx2g -jar $RDPToolsDir/classifier.jar classify -c 0.5 -f fixrank -g 16srrna -o ${f/.fastq/_classified.txt} -h ${f/.fastq/_hier.txt} ${f/.fastq/_derep.fastq},${f/fastq/ids} # No spaces allowed between the last two arguments on this line.
done

# Merge individual sample hier files
mkdir cnadjusted
mv trimmed_seqs/cn*hier.txt cnadjusted
java -Xmx2g -jar $RDPToolsDir/classifier.jar merge-count cn_merged_hier.txt cnadjusted/*hier.txt
java -Xmx2g -jar $RDPToolsDir/classifier.jar merge-count merged_hier.txt trimmed_seqs/*hier.txt
